#include <bits/stdc++.h>

using namespace std;
int N,K,mesto,najv=0;
int A[100000],najm=1000000;
int main(){
   cin>>N>>K;
   int poz=0;
   int neg=0;
   //mogu da budu i negativni
   for (int i=1;i<=N;i++){
      cin>>A[i];
      najv=max(najv,A[i]);
      najm=min(najm,A[i]);
      if (K==A[i]) mesto=i;
   }
   sort (A+1,A+N+1);

   //za 10 poena
   if (K==1) cout<<A[mesto]<<endl;
   if (K==2) cout<<najv-najm<<endl;


   return 0;
}